Note: This is a beta release of Red Hat Bugzilla 5.0. The data contained within is a snapshot of the live data so any changes you make will not be reflected in the production Bugzilla. Also email is disabled so feel free to test any aspect of the site that you want. File any problems you find or give feedback here.
Bug 6850 - Navigator is always opening /usr/doc/HTML/index.html at startup
Summary: Navigator is always opening /usr/doc/HTML/index.html at startup
Keywords:
Status: CLOSED RAWHIDE
Alias: None
Product: Red Hat Linux
Classification: Retired
Component: netscape
Version: 6.0
Hardware: i386
OS: Linux
low
low
Target Milestone: ---
Assignee: Bill Nottingham
QA Contact:
URL:
Whiteboard:
Depends On:
Blocks:
TreeView+ depends on / blocked
 
Reported: 1999-11-09 11:54 UTC by joe
Modified: 2014-03-17 02:11 UTC (History)
2 users (show)

Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Clone Of:
Environment:
Last Closed: 2000-02-12 20:25:28 UTC


Attachments (Terms of Use)

Description joe 1999-11-09 11:54:48 UTC
The Netscape navigator is launched via a script
/usr/bin/netscape. This script attempts to set the
users homepage to

	/usr/doc/HTML/index.html

automatically, unless the user disabled displaying
the homepage at startup. It does so by looking into the
users preferences.js file.

However, the detection is broken, because line 166 reads
  if grep "\"browser.startup.homepage\"" \
and not
  if grep "\"browser.startup.page\"" \
as it ought to.

Comment 1 Bill Nottingham 1999-11-09 16:20:59 UTC
Huh? Looking in preferences.js here, the line is
'browser.startup.homepage'.

Comment 2 Bill Nottingham 1999-11-09 21:57:59 UTC
Oh, I see. browser.startup.page is 'display blank page/homepage/last
page', while .homepage is the actual homepage.

If you just set the home page to *something*, then setting it
to 'display blank page' should work OK with the script as is.
I'll look at fixing this...

Comment 3 Bill Nottingham 2000-02-12 20:25:59 UTC
This should be fixed in the current netscape build (-4 or so) that
will be available in the next rawhide release.


Note You need to log in before you can comment on or make changes to this bug.